{% extends 'layout.html.twig' %}

{% import 'macros.html.twig' as macros %}
{% import 'task/_navigation.html.twig' as nav %}

{% block content %}
  <h1>{{ 'task.action.list'|trans }}</h1>

  {{ form_start(form) }}
  <div class="row expanded collapse">
    <div class="medium-2 large-1 column">
      {{ form_widget(form.scoringId) }}
    </div>
    <div class="medium-2 large-1 column">
      {{ form_widget(form.analysisName) }}
    </div>
    <div class="medium-2 large-1 column">
      {{ form_widget(form.analysisType) }}
    </div>
    <div class="medium-2 large-1 column">
      {{ form_widget(form.clientName) }}
    </div>
    <div class="medium-2 large-1 column end">
      <button class="button secondary" type="submit">{{ 'common.filter'|trans }}</button>
    </div>
  </div>
  {{ form_end(form) }}

  <div class="row expanded collapse">
    <div class="medium-12 large-9 column end">
      {% for entity in entities %}
        {% set rowspan = entity.children|length + 1 %}
        <table class="hover">
          <thead>
            <tr>
              <th width="30%">{{ 'task.other.summary'|trans }}</th>
              <th width="20%">{{ 'task.entity.createdAt'|trans }}</th>
              <th width="10%">{{ 'task.entity.analysisVersion'|trans }}</th>
              <th width="10%">{{ 'task.entity.completed'|trans }}</th>
              <th width="10%">{{ 'task.entity.final'|trans }}</th>
              <th width="20%">{{ 'common.action'|trans }}</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td rowspan="{{ rowspan }}">
                <dl class="horizontal">
                  <dt>{{ 'task.entity.scoringId'|trans }}</dt>
                  <dd>{{ entity.scoringId }}</dd>
                  <dt>{{ 'task.entity.analysisName'|trans }}</dt>
                  <dd>{{ entity.analysisName|trans({}, 'analysis') }}</dd>
                  <dt>{{ 'task.entity.analysisType'|trans }}</dt>
                  <dd>{{ entity.analysisType|trans({}, 'analysis') }}</dd>
                  <dt>{{ 'task.entity.clientName'|trans }}</dt>
                  <dd>{{ entity.clientName ? entity.clientName : '---' }}</dd>
                  <dt>{{ 'task.entity.description'|trans }}</dt>
                  <dd>
                    {% if entity.description == '' %}
                      ---
                    {% elseif entity.description|length > 60 %}
                      <span data-tooltip aria-haspopup="true" class="has-tip" data-disable-hover="false" title="{{ entity.description }}">
                        {{ (entity.description|slice(0, 60))~'...'|nl2br }}
                      </span>
                    {% else %}
                      {{ entity.description|nl2br }}
                    {% endif %}
                  </dd>
                </dl>
              </td>
              <td>{{ entity.createdAt|date(datetime_format) }}</td>
              <td>{{ entity.analysisVersion }}</td>
              <td>
                {% if entity.completed %}
                  <span class="label success">{{ 'task.completed.yes'|trans }}</span>
                {% else %}
                  <span class="label secondary">{{ 'task.completed.no'|trans }}</span>
                {% endif %}
              </td>
              <td>
                {% if entity.final %}
                  <span class="label success">{{ 'task.final.yes'|trans }}</span>
                {% else %}
                  <span class="label secondary">{{ 'task.final.no'|trans }}</span>
                {% endif %}
              </td>
              <td>
                {{ nav.actions(entity, {'read': true, 'update': true, 'input': true, 'complete': true, 'report': true, 'fork': true, 'summarize': true}, false) }}
              </td>
            </tr>
            {% for child in entity.children %}
              <tr>
                <td>{{ child.createdAt|date(datetime_format) }}</td>
                <td>{{ child.analysisVersion }}</td>
                <td>
                  {% if child.completed %}
                    <span class="label success">{{ 'task.completed.yes'|trans }}</span>
                  {% else %}
                    <span class="label secondary">{{ 'task.completed.no'|trans }}</span>
                  {% endif %}
                </td>
                <td>
                  {% if child.final %}
                    <span class="label success">{{ 'task.final.yes'|trans }}</span>
                  {% else %}
                    <span class="label secondary">{{ 'task.final.no'|trans }}</span>
                  {% endif %}
                </td>
                <td>
                  {{ nav.actions(child, {'read': true, 'update': true, 'input': true, 'complete': true, 'report': true, 'fork': true, 'summarize': true}, false) }}
                </td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
      {% endfor %}
    </div>
  </div>

  {{ macros.pagination(pagesCount, page) }}

  {{ nav.actions(null, {'create': true}) }}
{% endblock %}
